.mobile-nav {
  @import '../../../themes/variables/color';
  @import '../../../themes/variables/font';
  @import '../../../themes/mixins/text';
  @import '../../../themes/mixins/animation';
  @import '../../../themes/mixins/adaptive';

  /* MOBILE */
  @include mobile {
    $nav-height: 100vh;
    $nav-header-height: 12.2rem;

    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    align-items: flex-start;
    justify-content: center;
    z-index: 999;

    width: 100vw;
    height: 100%;

    .active-nav-button {
      .icon {
        margin-right: initial;
      }
    }

    .nav-header {
      /* LOGO */
      .logo-wrapper {
        display: block;
        margin-top: 2.4rem;
        font-size: 0;

        .e-logo {
          width: 12.5rem;
          height: auto;

          object-fit: contain;
        }
      }
    }

    .nav-content {
      @include transform(translateX(0%));

      position: fixed;
      top: 0;
      left: 0;
      z-index: 999;

      box-shadow: 0.1rem 0.1rem 0.6rem 0 rgba(0, 0, 0, 0.19);
      background-color: $white;
      padding: 2.4rem 2.8rem;

      width: 27rem;
      height: 100%;

      .active-nav-button {
        //
      }

      .nav-body {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;

        transform: translateY(-50%);
        margin-top: calc(50vh - 2.4rem * 2);

        .menu-item {
          display: block;
          margin-bottom: $nav-height * 0.03;

          text-align: center;

          .menu-label {
            position: relative;

            &.active {
              &:after {
                display: block;
                position: absolute;
                bottom: 0;
                transform: translateX(10%);

                border-bottom: 0.2rem solid $brown-1;
                width: 80%;
                height: 0.2rem;
                content: ' ';
              }
            }
          }

          &:last-child {
            margin-bottom: initial;
          }

          .menu-label {
            @include word-wrap(20rem);

            min-height: 2.8rem;

            color: $blue-1;
            font-family: $title-font;
            font-size: 2.5rem;
            font-weight: 300;
            letter-spacing: normal;
            line-height: normal;
          }
        }
      }
    }

    /* Collapsed state */
    &.collapsed {
      background-color: $white;
      height: 100%;
      max-height: $nav-header-height;

      .nav-header {
        .active-nav-button {
          position: absolute;
          top: 2.4rem;
          left: 2.8rem;

          z-index: 999;
        }
      }

      .nav-content {
        @include transform(translateX(-100%));
        transition: transform 1s;
      }
    }

    /* Expanded state */
    &.expanded {
      .nav-header {
        .button {
          display: none;
        }
      }

      .nav-content {
        animation: slide-out-right 1s;
      }
    }
  }
}
